Bug 214996

Summary: [MAINTAINER] upgrade net-mgmt/netdisco => 2.034001 and two perl modules
Product: Ports & Packages Reporter: geoffroy desvernay <dgeo>
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me CC: fgudin+fbsd, jadawin, rakuco, wen
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
netdisco patch
dgeo: maintainer-approval+
net-mgmt/p5-SNMP-Info update to 3.34
rakuco: maintainer-approval? (jadawin)
www/p5-Dancer-Session-Cookie update to 0.27
none
net-mgmt/netdisco svn patch to 2.034002 dgeo: maintainer-approval+

Description geoffroy desvernay 2016-12-02 10:08:40 UTC
Created attachment 177593 [details]
netdisco patch

Changelog: https://metacpan.org/changes/distribution/App-Netdisco

Here are also needed patches to (minor) updates to 
  * www/p5-Dancer-Session-Cookie from 0.25 to 0.27
   see https://metacpan.org/changes/distribution/Dancer-Session-Cookie
  * and net-mgmt/p5-SNMP-Info from 3.33 to 3.34 (same author as netdisco)
   see https://metacpan.org/changes/distribution/SNMP-Info

All poudriere-tested and production-used here.

This update could break some configs, here is a proposed UPDATING entry:

AFFECTS: Users of net-mgmt/netdisco
AUTHOR: dgeo@centrale-marseille.fr

Netdisco has been updated to 2.034001.
This update changes session storage to database.
 you need to remove "session:" and "session_dir:" parameters
 from etc/netdisco/environments/deployment.yml.
Comment 1 geoffroy desvernay 2016-12-02 10:09:20 UTC
Created attachment 177594 [details]
net-mgmt/p5-SNMP-Info update to 3.34
Comment 2 geoffroy desvernay 2016-12-02 10:10:08 UTC
Created attachment 177595 [details]
www/p5-Dancer-Session-Cookie update to 0.27
Comment 3 commit-hook freebsd_committer 2016-12-24 13:42:07 UTC
A commit references this bug:

Author: wen
Date: Sat Dec 24 13:41:05 UTC 2016
New revision: 429353
URL: https://svnweb.freebsd.org/changeset/ports/429353

Log:
  - Update to 0.27
  Changes: http://cpansearch.perl.org/src/YANICK/Dancer-Session-Cookie-0.27/Changes

  PR:		214996
  Submitted by:	dgeo@centrale-marseille.fr
  Approved by:	maintainer(timeout, > 20 days)

Changes:
  head/www/p5-Dancer-Session-Cookie/Makefile
  head/www/p5-Dancer-Session-Cookie/distinfo
Comment 4 Raphael Kubo da Costa freebsd_committer 2016-12-26 21:38:00 UTC
+jadawin for p5-SNMP-Info.
Comment 5 Philippe Audeoud freebsd_committer 2017-01-16 08:55:51 UTC
(In reply to Raphael Kubo da Costa from comment #4)
I have patch on my own but feel free to commit for p5-SNMP-Info if i don't have time to push it today.
Thanks.
Comment 6 geoffroy desvernay 2017-01-18 13:13:14 UTC
Created attachment 179032 [details]
net-mgmt/netdisco svn patch to 2.034002

updated the patch to next minor version

Thank you all commiters here :)
Comment 7 geoffroy desvernay 2017-01-18 13:14:12 UTC
All pre-requisites seems to be ok
Comment 8 commit-hook freebsd_committer 2017-01-23 02:32:04 UTC
A commit references this bug:

Author: wen
Date: Mon Jan 23 02:31:07 UTC 2017
New revision: 432187
URL: https://svnweb.freebsd.org/changeset/ports/432187

Log:
  - Update to 2.034002

  PR:		214996
  Submitted by:	dgeo@centrale-marseille.fr(maintainer)

Changes:
  head/net-mgmt/netdisco/Makefile
  head/net-mgmt/netdisco/distinfo
  head/net-mgmt/netdisco/pkg-plist